Text.XML.HaXml.Schema.XSDTypeModel

data Schema

data SchemaItem

data SimpleType

data Restriction

data Facet

data FacetType

data ComplexType

data ComplexItem

data Restriction1

data Extension

type Particle

data ParticleAttrs

data Group

data ChoiceOrSeq

data ElementEtc

data Any

data AnyAttr

data AttrGroup

data ElementDecl

data NameAndType

data AttributeDecl

data UniqueKeyOrKeyRef

data Unique

data Key

data KeyRef

data Selector

data Field

data Occurs

data Use

data PrimitiveType

data MyRestriction

type Mixed

type Nillable

type Fixed

data Annotation

data QForm

type TargetNamespace

data Final

type Block

data ProcessContents

type SchemaLocation

type DefaultValue

type FixedValue

type Regexp

type URI

type TypeName